Sonar(1)

NAME
sonar - display a sonar scope

SYNOPSIS
sonar [-background color] [-sweep-color color] [-low-color color] [-scope-color color] [-grid-color color] [-text-color color] [-ttl integer] [-mode ping] [-font font] [-ping-timeout int] [-ping-source list | file | subnet ] [-ping-file hosts-file] [-ping-list host-name-list] [-team-a-name string] [-team-b-name string] [-team-a-count int] [-team-b-count int]

DESCRIPTION
The sonar program displays a sonar scope on the computer's screen. This scope polls a sensor as the sweep goes around the scope and displays what it finds as bogies on the screen. The program is designed to support different modes representing different types of sensors. Currently the only implemented sensors are a simulator, and a network ping function that pings hosts and plots the results on the scope.

OPTIONS
sonar understands the following options:

-background Color
    The background Color of the screen not covered by the scope.

-sweep-color Color
    The color of the brightest part of the sweep.

-scope-color Color
    The color of the circular part of the scope.

-grid-color Color
    The color to the grid lines overlaying the scope.

-text-color Color
    The color of the text identifying bogies on the scope.

-ttl integer
    "Time to live": visible time of a Bogie. Try values between 10 (very short) and 100.

-mode simulation | ping
    The sensor mode to use, the currently supported modes simulate (the default) and ping.

-font font
    The font used to display text on the scope. Default "fixed".

-ping-timeout int
    The amount of time in milliseconds the program will wait for an answer to a ping.

-ping-source list | file | subnet
    Th source of the list of hosts to ping. Valid values are: list, file, subnet. The first two values are described below; and subnet indicates that the sonar should ping all hosts in the same subnet as the current machine. (All addresses are treated as class C nets, therefore this will at most ping 254 hosts.)

-ping-file filename
    The path to a file listing the hosts to ping. This file can be in the format used by /etc/hosts, or it can be any file that has host names as the first element on each line. If you use ssh, try this:
        sonar -mode ping -ping-file $HOME/.ssh/known_hosts
    This is used only used when pingSource is set to file.

-ping-list list
    A comma separated list of hostnames, eg "pinky,brain,dot". Only used when pingSource is set to list.

-team-a-name string
    The name of team A, in simulation-mode.

-team-b-name string
    The name of team B, in simulation-mode.

-team-a-count int
    The number of bogies on team A, in simulation-mode.

-team-b-count int
    The number of bogies on team B, in simulation-mode.

RESOURCES
Configuration of the targets to ping is best done by setting X Resources.

background (Color)
    See option -background, above; default value is black.

sweepColor (Color)
    See option -sweep-color, above; default value is #00ff00.

scopeColor (Color)
    See option -scope-color, above; default value is #003300.

gridColor (Color)
    See option -grid-color, above; default value is #00aa00.

textColor (Color)
    See option -text-color, above; default value is #ffff00.

ttl (integer)
    See option -ttl, above; default value is 90 or one sweep.

mode (ping)
    See option -mode, above. If set to default, it will ping hosts if possible, otherwise, will run in simulation-mode.

font (font)
    See option -font, above; default value is fixed.

pingTimeout (Integer)
    See option -pingtimeout, above; default value is 3000.

pingSource list | file | subnet
    See option -ping-source, above. Default value is file.

pingFile pathname
    See option -ping-file, above. Default value is /etc/hosts.

pingList host,host,host...
    See option -ping-list, above; default value is localhost.

teamAName string
    See option -team-a-name, above. Default value is F18.

teamBName string
    See option -teamBName, above. Default value is MIG.

teamACount int
    See option -teamACount, above. Default value is 4.

teamBCount int
    See option -teamBCount, above. Default value is 4.

NOTES
In order to use the ping sensor, this program must be installed as setuid root, so that it can create an ICMP socket.

SEE ALSO
X(1), xscreensaver(1), ping(8)

COPYRIGHT
Copyright © 1998 by Stephen Martin. (smartin@canada.com) Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHORS
Stephen Martin <smartin@canada.com>, 3-nov-98. Thanks to Tom Kelly for suggesting a modular approach to the sensor amoung other things. Thomas Bahls <thommy@cs.tu-berlin.de> hacked the "ttl" option, 12-jul-98.